function w=gabrrao(n);
%Optimal smoothing window 
%  w=gabrrao(n)
% INPUT
%    n - maximum lag used to compute the cumulant
% OUTPUT 
%    w - resulting window 
L=n;
for k=-n:n
    for l=-n:n
        d1=abs(sin(pi*k/L))/pi+(1-abs(k)/L)*cos(pi*k/L);
        d2=abs(sin(pi*l/L))/pi+(1-abs(l)/L)*cos(pi*l/L);
        dt=l-k;
        d12=abs(sin(pi*dt/L))/pi+(1-abs(dt)/L)*cos(pi*dt/L);
        w(k+n+1,l+n+1)=d1*d2*d12;
    end
end
