function [Vmodel,H]=quadnl(Mem);
% Quadratic nonlinear system
% [Vmodel,H]=quad(Mem)   
%  INPUT
%      Mem - memory length for both linear and quadratic parts
%     (a two-element vector)
%  OUTPUT
%   Vmodel - Volterra model structure. To be used with vkernels_o()
%        H - cell array with linear and quadratic kernels. 

if nargin<1
    Mem=[10;10];
end
% Quadratic part
x=abs( cos(0.5*pi*[0:Mem(2)-1]).*exp(-0.3*[0:Mem(2)-1]));
%x=exp(-0.3*[0:Mem(2)-1]);

q=x'*x;
q(find(q==0))=1E-10;
Q=tril(q);
Q=Q(:);
Q(find(Q==0))=[];

% Linear part
L=exp(-0.2*[0:Mem(1)-1])';

H{1}=0;
H{2}=L;
H{3}=q;

Vmodel.h=[0;L;Q];
Vmodel.M=[Mem(1); Mem(2)];
Vmodel.P=2;

