function viskernel2(H)
% VISKERNEL2  Visualize the first and second order kernels
%  INPUT 
%     H - cell array produced by vkernels.m
%         only first three kernels are visualized, i.e., 
%         DC, linear and quadratic


%  Rev 1.0    Dec. 07, 2003,  Dmitriy Shutin  <dshutin@inw.tugraz.at>

h0=H{1};
h=H{2};
q=H{3};

% DC and first order kernel 
n=length(h);
h_int=interp(h,2);
figure;
plot(linspace(0,n-1,length(h_int)),h0*ones(length(h_int),1),linspace(0,n-1,length(h_int)),h_int );
grid
title('Linear kernel and DC');
legend('DC', 'Linear kernel');

% second order kernel
n=size(q,2);
q_int=interpn(q,2,'cubic');
x=linspace(0,n-1,size(q_int,1))';
y=linspace(0,n-1,size(q_int,2))';

[X Y]=ndgrid(x,y);
figure
mesh(X,Y,q_int);
title('Second order kernel')
